View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
18209Bug reportsRemoteControlpublic2022-07-05 15:11
Reporterc_schmitz Assigned Toc_schmitz  
PriorityimmediateSeverityminor 
Status ready for testingResolutionfixed 
Product Version5.3.x 
Summary18209: Missing RemoteControl function to get the field mapping
Description

In version 1 of the RemoteControl API there was was function to get the field map for a survey (sGetFieldMap)
This is sometimes needed to figure the corect field names in the response table.
In version 2 this function is plainly missing.

Steps To Reproduce

Implement the missing getFieldMap RemoteControl API function in v3 and v5

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)n/a
I will donate to the project if issue is resolvedNo
Browser
Database type & versionn/a
Server OS (if known)
Webserver software & version (if known)
PHP Versionn/a

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gabrieljenik

gabrieljenik

2022-06-27 16:03

manager   ~70566

PR for Master: https://github.com/LimeSurvey/LimeSurvey/pull/2479

Automated test still pending, but I understand this is a urgent matter, right?

Also, this is the old function I have found.
https://github.com/LimeSurvey/LimeSurvey/blob/1.92_plus_120919/admin/remotecontrol/lsrc.helper.php#L2029
It returns stuff as CSV. Do we need to keep it that way?

gabrieljenik

gabrieljenik

2022-06-30 09:42

manager   ~70622

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33603

c_schmitz

c_schmitz

2022-06-30 09:46

administrator   ~70623

Thank you. I would still need it for LS3.

gabrieljenik

gabrieljenik

2022-07-05 15:11

manager   ~70731

LTS: https://github.com/LimeSurvey/LimeSurvey/pull/2490

Related Changesets

LimeSurvey: master fac6d29a

2022-06-30 09:41:59

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 18209: Missing RemoteControl function to get the field mapping (#2479) Affected Issues
18209
mod - application/helpers/remotecontrol/remotecontrol_handle.php Diff File
add - tests/data/surveys/limesurvey_survey_remote_api_get_fieldmap.lss Diff File
mod - tests/unit/helpers/RemoteControlTest.php Diff File

Issue History

Date Modified Username Field Change
2022-06-23 13:27 c_schmitz New Issue
2022-06-23 13:27 c_schmitz Assigned To => gabrieljenik
2022-06-23 13:27 c_schmitz Status new => assigned
2022-06-23 13:27 c_schmitz Priority none => urgent
2022-06-23 13:28 c_schmitz Steps to Reproduce Updated
2022-06-27 16:03 gabrieljenik Note Added: 70566
2022-06-27 16:03 gabrieljenik Bug heat 0 => 2
2022-06-28 14:46 DenisChenu Assigned To gabrieljenik => c_schmitz
2022-06-28 14:46 DenisChenu Status assigned => ready for testing
2022-06-28 16:14 c_schmitz Assigned To c_schmitz => gabrieljenik
2022-06-28 16:15 c_schmitz Status ready for testing => assigned
2022-06-30 09:42 gabrieljenik Changeset attached => LimeSurvey master fac6d29a
2022-06-30 09:42 gabrieljenik Note Added: 70622
2022-06-30 09:42 gabrieljenik Resolution open => fixed
2022-06-30 09:46 c_schmitz Note Added: 70623
2022-06-30 09:46 c_schmitz Bug heat 2 => 4
2022-07-01 11:55 c_schmitz Priority urgent => immediate
2022-07-01 14:07 gabrieljenik Relationship added related to 18208
2022-07-01 14:08 gabrieljenik Relationship deleted related to 18208
2022-07-05 15:11 gabrieljenik Assigned To gabrieljenik => c_schmitz
2022-07-05 15:11 gabrieljenik Status assigned => ready for testing
2022-07-05 15:11 gabrieljenik Note Added: 70731